#include <stdio.h>

#include "netex.h"
#include "server.h"

// Sources:
// http://simplestcodings.blogspot.com/2010/08/secure-server-client-using-openssl-in-c.html
// https://stackoverflow.com/questions/40812836/how-to-create-chat-server-using-openssl-in-c
// https://www.cs.cmu.edu/~srini/15-441/F02/Projects/lab01/reference/part1.pdf


int main(int argc, char *argv[])
{
    const int init_result = initialize_server(argc, argv);
    if (init_result)
    {
        WARN("Failed to initialize server, error: %i. Exiting...", init_result);
        return init_result;
    }
    return server_execute();
}